## org.apache.mahout.cf.taste.hadoop.similarity.item
Class TopSimilarItemsQueue

    java.lang.Object
      org.apache.lucene.util.PriorityQueue<SimilarItem>
          org.apache.mahout.cf.taste.hadoop.similarity.item.TopSimilarItemsQueue

    public class TopSimilarItemsQueue

extends org.apache.lucene.util.PriorityQueue<SimilarItem>

Constructor Summary
`TopSimilarItemsQueue(int maxSize)`

Method Summary
`protected SimilarItem` `getSentinelObject()`
`List<SimilarItem>` `getTopItems()`
`protected boolean` `lessThan(SimilarItem one, SimilarItem two)`

Methods inherited from class org.apache.lucene.util.PriorityQueue
`add, clear, getHeapArray, insertWithOverflow, pop, size, top, updateTop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopSimilarItemsQueue

    public TopSimilarItemsQueue(int maxSize)

Method Detail

### getTopItems

    public List<SimilarItem> getTopItems()

### lessThan

    protected boolean lessThan(SimilarItem one,
                               SimilarItem two)

  Specified by:
    `lessThan` in class `org.apache.lucene.util.PriorityQueue<SimilarItem>`

### getSentinelObject

    protected SimilarItem getSentinelObject()

  Overrides:
    `getSentinelObject` in class `org.apache.lucene.util.PriorityQueue<SimilarItem>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.